org.objectweb.util.ant

## Class DependencyAnalyzer

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.objectweb.util.ant.DependencyAnalyzer

All Implemented Interfaces:
  Cloneable

    public class DependencyAnalyzer
    extends org.apache.tools.ant.Task

Is an Ant task analyzing a set of java classes for extracting dependencies between groups of classes. Group is composed with a set of classes. This task produces report on screen or in a file. The format can be xml or indented text. Example:

Author:
  S.Chassande-Barrioz

### Nested Class Summary

Nested Classes
`static interface` `DependencyAnalyzer.ClassFilter`
`class` `DependencyAnalyzer.Group`

### Field Summary

Fields
`static String` `TAB`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`DependencyAnalyzer()`

### Method Summary

Methods
`DependencyAnalyzer.Group` `createGroup()`
`void` `execute()`
`void` `setDir(File d)`
`void` `setOutput(File o)`
`void` `setShowContent(boolean v)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAB

    public static final String TAB

See Also:
  Constant Field Values

### Constructor Detail

#### DependencyAnalyzer

    public DependencyAnalyzer()

### Method Detail

#### setDir

    public void setDir(File d)

#### setOutput

    public void setOutput(File o)

#### setShowContent

    public void setShowContent(boolean v)

#### createGroup

    public DependencyAnalyzer.Group createGroup()

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`